function h5_read_coordinate, file, varname

; check it the file is really written in HDF format
;
  if (not h5f_is_hdf5(file)) then begin
    print, 'This file is not in HDF5 format or does not exist!'
    return, -1
  endif

; open a file
;
  fid = h5f_open(file)

; open group 'coordinates'
;
   gid = h5g_open(fid, 'coordinates')

; read variable
;
   did = h5d_open(gid, varname)
   data = h5d_read(did)
   h5d_close, did

; close group 'coordinates'
;
   h5g_close, gid

; close a file
;
   h5f_close, fid

  return, data
end
